---
updatedAt: 2025-09-15T09:14:12.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Search for deployment tasks for a config profile linked to Jamf Connect

Search for config profiles linked to Jamf Connect

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.14.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/jamf-connect/deployments/{id}/tasks": {
      "get": {
        "tags": [
          "jamf-connect"
        ],
        "summary": "Search for deployment tasks for a config profile linked to Jamf Connect\n",
        "description": "Search for config profiles linked to Jamf Connect",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "the UUID of the Jamf Connect deployment",
            "required": true,
            "style": "simple",
            "explode": false,
            "schema": {
              "type": "string"
            },
            "example": "24a7bb2a-9871-4895-9009-d1be07ed31b1"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page-size"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/filter"
          }
        ],
        "responses": {
          "200": {
            "description": "Success.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DeploymentTaskSearchResults"
                }
              }
            }
          }
        },
        "x-required-privileges": [
          "Read Jamf Connect Deployments"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "DeploymentTask": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "readOnly": true,
            "example": "82"
          },
          "computerId": {
            "type": "string",
            "readOnly": true,
            "example": "111"
          },
          "computerName": {
            "type": "string",
            "readOnly": true,
            "example": "Polka dot Stratocaster"
          },
          "version": {
            "type": "string",
            "readOnly": true,
            "example": "2.3.4"
          },
          "updated": {
            "type": "string",
            "format": "date-time",
            "readOnly": true,
            "example": "2021-05-07T21:20:34.35Z"
          },
          "status": {
            "type": "string",
            "description": "Status of this Jamf Connect deployment task. \"Command\" below refers to an `InstallEnterpriseApplication` command. Tasks that are not finished (i.e., `COMPLETE` or `GAVE_UP`) are evaluated once every thirty minutes, so the status value for a device may lag behind a successful Jamf Connect package install up to thirty minutes. * `COMMAND_QUEUED` - command has been queued * `NO_COMMAND` - command has not yet been queued * `PENDING_MANIFEST` - task is waiting to obtain a valid package manifest before a command can be queued * `COMPLETE` - command has been completed successfully * `GAVE_UP` - the command failed with an error or the device did not process it in a reasonable amount of time * `UNKNOWN` - unknown; tasks in this state will be evaluated\n",
            "example": "COMPLETE",
            "enum": [
              "COMMAND_QUEUED",
              "NO_COMMAND",
              "PENDING_MANIFEST",
              "COMPLETE",
              "GAVE_UP",
              "UNKNOWN"
            ]
          }
        }
      },
      "DeploymentTaskSearchResults": {
        "type": "object",
        "properties": {
          "totalCount": {
            "type": "integer",
            "example": 13
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/DeploymentTask"
            }
          }
        }
      }
    },
    "parameters": {
      "page": {
        "name": "page",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 0
        }
      },
      "page-size": {
        "name": "page-size",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 100
        }
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "Sorting criteria in the format: property:asc/desc. Default sort order is descending. Multiple sort criteria are supported and must be entered on separate lines in Swagger UI. In the URI the 'sort' query param is not duplicated for each sort criterion, e.g., ...&sort=name:asc,date:desc. Fields that can be sorted: status, updated",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "default": []
        }
      },
      "filter": {
        "name": "filter",
        "in": "query",
        "description": "Query in the RSQL format, allowing to filter results. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: status, updated, version This param can be combined with paging and sorting. Example: filter=username!=admin and details==*disabled* and date<2019-12-15",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "string",
          "default": ""
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-si-base": "swagger.json",
  "x-github-repo": "jamf/Jamf-Pro-API-Schema",
  "x-github-sha": "5f8b85a61ce288205f7b44d478a117fb1acea0c6"
}
```